API Keys

View as Markdown

Delete API Key

DELETE
/human/v0/api-keys/{api_key_id}

Path Parameters

api_key_id*string

ID of api key.

Header Parameters

Authorization*string

Bearer authentication

Response Body

curl -X DELETE "https://api.agentry.to/human/v0/api-keys/string" \  -H "Authorization: string"
Empty

List API Keys

GET
/human/v0/api-keys

Query Parameters

limit?integer
page_token?string
inbox_id?string

Header Parameters

Authorization*string

Bearer authentication

Response Body

application/json

curl -X GET "https://api.agentry.to/human/v0/api-keys" \  -H "Authorization: string"
{
  "count": 0,
  "next_page_token": "string",
  "api_keys": [
    {
      "api_key_id": "string",
      "prefix": "string",
      "name": "string",
      "pod_id": "string",
      "inbox_id": "string",
      "used_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}

Create API Key

POST
/human/v0/api-keys

Header Parameters

Authorization*string

Bearer authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Name of api key.

Response Body

application/json

curl -X POST "https://api.agentry.to/human/v0/api-keys" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "api_key_id": "string",
  "api_key": "string",
  "prefix": "string",
  "name": "string",
  "pod_id": "string",
  "inbox_id": "string",
  "created_at": "2019-08-24T14:15:22Z"
}